---
title: GlobalEventHandlers.onpointerup
slug: Web/API/GlobalEventHandlers/onpointerup
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - PointerEvent
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <strong><code>onpointerup</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("pointerup")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>targetElement</var>.onpointerup = <var>upHandler</var>;

var <var>upHandler</var> = <var>targetElement</var>.onpointerup;
</pre>

<h3 id="Value">Value</h3>

<dl>
 <dt><code>upHandler</code></dt>
 <dd>The <code>pointerup</code> event handler for element <code>targetElement</code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows two ways to use <code>onpointerup</code> to set an element's <code>pointerup</code> event handler.</p>

<pre class="brush: js notranslate">&lt;html&gt;
&lt;script&gt;
function upHandler(ev) {
  // Process the pointerup event
}
function init() {
  let el = document.getElementById('target1');
  el.onpointerup = upHandler;
}
&lt;/script&gt;

&lt;body onload="init();"&gt;
  &lt;div id="target1"&gt; Touch me ... &lt;/div&gt;
  &lt;div id="target2" onpointerup="upHandler(event)"&gt; Touch me ... &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-globaleventhandlers-onpointerup', 'onpointerup')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-GlobalEventHandlers-onpointerup', 'onpointerup')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onpointerup")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/API/Document/pointerup_event">Document: pointerup</a></code> event</li>
 <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerup_event">HTMLElement: pointerup</a></code> event</li>
</ul>
